[libdvbpsi-devel] [PATCH 6/6] Update bootstrap

Timothy Gu timothygu99 at gmail.com
Fri Jun 27 01:15:20 CEST 2014


Changes from upstream: support automake 1.12 to 1.14.

Signed-off-by: Timothy Gu <timothygu99 at gmail.com>
---
 bootstrap | 33 +++++++++++++++++++++++----------
 1 file changed, 23 insertions(+), 10 deletions(-)

diff --git a/bootstrap b/bootstrap
index 54fbe0b..424763a 100755
--- a/bootstrap
+++ b/bootstrap
@@ -1,9 +1,8 @@
 #! /bin/sh
-# $Id$
 
 # bootstrap: generic bootstrap/autogen.sh script for autotools projects
 #
-# Copyright (c) 2002-2007 Sam Hocevar <sam at zoy.org>
+# Copyright (c) 2002-2011 Sam Hocevar <sam at hocevar.net>
 #
 #    This program is free software. It comes without any warranty, to
 #    the extent permitted by applicable law. You can redistribute it
@@ -12,7 +11,7 @@
 #    http://sam.zoy.org/wtfpl/COPYING for more details.
 #
 # The latest version of this script can be found at the following place:
-#   http://sam.zoy.org/autotools/
+#    http://caca.zoy.org/wiki/build
 
 # Die if an error occurs
 set -e
@@ -29,10 +28,11 @@ fi
 
 # Check for needed features
 auxdir="`sed -ne 's/^[ \t]*A._CONFIG_AUX_DIR *([[ ]*\([^] )]*\).*/\1/p' $conffile`"
-libtool="`grep -q '^[ \t]*A._PROG_LIBTOOL' $conffile && echo yes || echo no`"
-pkgconfig="`grep -q '^[ \t]*PKG_PROG_PKG_CONFIG' $conffile && echo yes || echo no`"
-header="`grep -q '^[ \t]*A._CONFIG_HEADER' $conffile && echo yes || echo no`"
-aclocalflags="`sed -ne 's/^[ \t]*ACLOCAL_AMFLAGS[ \t]*=//p' Makefile.am`"
+pkgconfig="`grep '^[ \t]*PKG_PROG_PKG_CONFIG' $conffile >/dev/null 2>&1 && echo yes || echo no`"
+libtool="`grep '^[ \t]*A._PROG_LIBTOOL' $conffile >/dev/null 2>&1 && echo yes || echo no`"
+header="`grep '^[ \t]*A._CONFIG_HEADER' $conffile >/dev/null 2>&1 && echo yes || echo no`"
+makefile="`[ -f Makefile.am ] && echo yes || echo no`"
+aclocalflags="`sed -ne 's/^[ \t]*ACLOCAL_AMFLAGS[ \t]*=//p' Makefile.am 2>/dev/null || :`"
 
 # Check for automake
 amvers="no"
@@ -112,6 +112,17 @@ if test -n "$auxdir"; then
   aclocalflags="${aclocalflags} -I $auxdir -I ."
 fi
 
+# Honour M4PATH because sometimes M4 doesn't
+save_IFS=$IFS
+IFS=:
+tmp="$M4PATH"
+for x in $tmp; do
+  if test -n "$x"; then
+    aclocalflags="${aclocalflags} -I $x"
+  fi
+done
+IFS=$save_IFS
+
 # Explain what we are doing from now
 set -x
 
@@ -129,9 +140,11 @@ autoconf${acvers}
 if test "$header" = "yes"; then
   autoheader${acvers}
 fi
-#add --include-deps if you want to bootstrap with any other compiler than gcc
-#automake${amvers} --add-missing --copy --include-deps
-automake${amvers} --foreign --add-missing --copy
+if test "$makefile" = "yes"; then
+  #add --include-deps if you want to bootstrap with any other compiler than gcc
+  #automake${amvers} --add-missing --copy --include-deps
+  automake${amvers} --foreign --add-missing --copy
+fi
 
 # Remove cruft that we no longer want
 rm -Rf autom4te.cache
-- 
1.9.1



More information about the libdvbpsi-devel mailing list